*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:Arial,sans-serif;
}



.maillink {
    color: black !important;
}

a:link {
  color: white;
  background-color: transparent;
  text-decoration: none;
}

a:visited {
  color: white;
  background-color: transparent;
  text-decoration: none;
}

a:hover {
  color: white;
  background-color: transparent;
  text-decoration: underline;
}

a:active {
  color: white;
  background-color: transparent;
  text-decoration: underline;
}

body{
    background:#f5f5f5;
    color:#333;

    min-height:100vh;
    display:flex;
    flex-direction:column;
}

header{
    position:absolute;
    top:0;
    left:0;

    width:100%;

    padding: 0px 60px;

    display:flex;
    justify-content:space-between;
    align-items:center;

    background:rgba(0, 0, 0, 0.35);

    z-index:100;
}

/* Button oben rechts */
.book-btn {
    padding: 10px 18px;
    border: 1px solid white;
    background: transparent;
    color: white;
    cursor: pointer;
    transition: 0.3s;
}

.book-btn:hover {
    background: white;
    color: black;
}


.logo {
    font-size: 28px;
    font-weight: bold;
    letter-spacing: 2px;
}

.logo img{
    height:80px;
    width:auto;
    display:block;
}

nav{
    display:flex;
    gap:25px;
    align-items:center;
}

nav a{
    color:white;
    text-decoration:none;
}

.menu-toggle{
    display:none;
}

.hero-small{
    height:350px;
    position:relative;

    background:
    linear-gradient(
        to bottom,
        rgba(0,0,0,0.45) 0%,
        rgba(0,0,0,0.35) 60%,
        rgba(245,245,245,1) 100%
    ),
    url('hotel.jpg') center/cover;

    display:flex;
    align-items:center;
    justify-content:center;
}



.overlay{
    width:100%;
    height:100%;
    display:flex;
    justify-content:center;
    align-items:center;
}

.overlay h1{
    color:white;
    font-size:48px;
}

.content{
    max-width:1000px;
    margin:60px auto;
    padding:0 20px;
    line-height:1.8;
    font-size:18px;
    flex:1;
}

footer{
    background:#222;
    color:white;
    text-align:center;
    padding:20px;
    margin-top:auto;

}

.center-text{
    text-align: center;
}

.faq-item{
    background:#fff;
    width: 900px;
    margin:15px 0;
    padding:18px 22px;
    border-radius:8px;
    box-shadow:0 2px 8px rgba(0,0,0,0.08);
}

.faq-item summary{
    list-style: none;
    cursor: pointer;
    position: relative;
    padding-right: 30px;
    font-size: 18px;
    font-weight: bold;
}

.faq-item summary::-webkit-details-marker{
    display: none;
}

.faq-item summary::after{
    content: "+";
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    font-size: 22px;
    font-weight: bold;
}

.faq-item[open] summary::after{
    content: "−";
}

.faq-item p{
    margin-top:12px;
    line-height:1.6;
}

@media (max-width: 768px){

    header{
        position:absolute;
        top:0;
        left:0;
        width:100%;

        padding:10px 20px;

        display:flex;
        justify-content:space-between;
        align-items:center;

        background:rgba(0,0,0,0.35);
        backdrop-filter:blur(6px);

        z-index:1000;
    }

    .logo img{
        height:55px;
    }

    .menu-toggle{
        display:block;
        font-size:32px;
        color:white;
        cursor:pointer;
        z-index:10001;
    }

    nav{
        display:none;

        position:absolute;
        top:100%;
        left:0;

        width:100%;

        background:rgba(0,0,0,0.35);

        flex-direction:column;
        align-items:center;
        gap:18px;

        padding:25px 0;

        z-index:9999;
    }

    nav.active{
        display:flex;
    }

    nav a{
        font-size:18px;
        text-align:center;
    }

    .hero-small{
        height:420px;
    }

    .overlay h1{
        font-size:34px;
        text-align:center;
    }

    .content{
        margin:40px auto;
        padding:0 25px;
        text-align:center;
        font-size:16px;
    }

    footer{
        font-size:13px;
        line-height:1.5;
        padding:16px 20px;
    }

    .hide-content{
        display:none;
    }

    .faq-item{
        max-width: 300px;
        padding:15px;
        margin:12px 0;
    }

    .faq-item summary{
        font-size:16px;
    }

    .faq-item p{
        font-size:15px;
        line-height:1.5;
    }
}